> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Update photo

Requires `write:photos`. Updates gallery photo metadata including file name, description, captured date, or folder assignment. The response includes a fresh signed `imageUrl`.


## OpenAPI

````yaml PATCH /builders/{builderId}/photos/{photoId}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/photos/{photoId}:
    patch:
      tags:
        - Photos
      summary: Update photo
      parameters:
        - name: builderId
          in: path
          required: true
          schema:
            type: string
        - name: photoId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                capturedAt:
                  type: string
                  format: date-time
                description:
                  type: string
                  nullable: true
                fileName:
                  type: string
                folderId:
                  type: string
                  nullable: true
      responses:
        '200':
          description: Photo updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Photo'
      security:
        - OAuth2:
            - write:photos
components:
  schemas:
    Photo:
      type: object
      properties:
        id:
          type: string
        builderId:
          type: string
          nullable: true
        projectId:
          type: string
          nullable: true
        source:
          type: string
          description: The BuildPass UI source that owns the photo attachment.
          enum:
            - GALLERY
            - SITE_DIARY
            - PRE_START
            - CHECKLIST
            - ITP
            - PLATFORM_ACTION
            - DEFECT
        folderId:
          type: string
          nullable: true
        fileName:
          type: string
        contentType:
          type: string
        key:
          type: string
        fileSize:
          type: string
        description:
          type: string
          nullable: true
        photoTakenDate:
          type: string
          format: date-time
          nullable: true
        sortDate:
          type: string
          format: date-time
          nullable: true
        metadata:
          type: object
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        archivedAt:
          type: string
          format: date-time
          nullable: true
        imageUrl:
          type: string
          format: uri
          nullable: true
          description: Short-lived signed URL for downloading the photo image.
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````